SPOOL pre_export.log append
SET DEFINE OFF

SET SERVEROUTPUT ON SIZE 30000;

DECLARE
  C VARCHAR2(32767);
  CURSOR C_ERRORS IS SELECT ERRORCODE, ERRORDESCRIPTION, ERRORDESCRIPTION_EN FROM KFM.ERRORS;
  CURSOR C_IMP_MEMBERS IS SELECT LOG_ID, MEMBER_ID, MEMBER_FOREIGN_ADD, MEMBER_COMMENTS, MEMBER_BANK_ADDRESS, MEMBER_UR_NAME, MEMBER_AC_BIRTH_PLACE FROM KFM.IMP_MEMBERS;
  CURSOR C_IMP_MESSINFO IS SELECT LOG_ID, OPER_DIFFICULTIES, OPER_DOPINFO FROM KFM.IMP_MESSINFO;
  CURSOR C_MESS_CFM_ANNOUNCE_MEMB IS SELECT MESS_CFM_ID, MEMBER_ID, MEMBER_FOREIGN_ADD, MEMBER_COMMENTS, MEMBER_BANK_ADDRESS, MEMBER_UR_NAME, MEMBER_AC_BIRTH_PLACE FROM KFM.MESS_CFM_ANNOUNCE_MEMB;
  CURSOR C_MESS_CFM_ANNOUNCE_OPER IS SELECT MESS_CFM_ID, OPER_DIFFICULTIES, OPER_DOPINFO FROM KFM.MESS_CFM_ANNOUNCE_OPER;
  CURSOR C_MESS_CFM_EXEC IS SELECT MESS_CFM_ID, CFM_NAME FROM KFM.MESS_CFM_EXEC;
BEGIN
  FOR REC IN C_ERRORS LOOP
    C := CONVERT(REC.ERRORDESCRIPTION, 'AL32UTF8');
    IF (LENGTHB(C) > 4000) THEN
      C := UTL_I18N.RAW_TO_CHAR(SUBSTR(UTL_RAW.CAST_TO_RAW(C), 1, 8000), 'UTF8');
      UPDATE KFM.ERRORS
         SET ERRORDESCRIPTION = C
       WHERE ERRORCODE = REC.ERRORCODE;
      DBMS_OUTPUT.PUT_LINE('Строка в колонке ERRORS.ERRORDESCRIPTION в кодировке UTF-8 для ERRORS.ERRORCODE = ' || REC.ERRORCODE || ' обрезана до длины 4000 байтов.');
      DBMS_OUTPUT.PUT_LINE('Изначальная строка:');
      DBMS_OUTPUT.PUT_LINE(REC.ERRORDESCRIPTION);
      DBMS_OUTPUT.PUT_LINE('');
    END IF;
    C := CONVERT(REC.ERRORDESCRIPTION_EN, 'AL32UTF8');
    IF (LENGTHB(C) > 4000) THEN
      C := UTL_I18N.RAW_TO_CHAR(SUBSTR(UTL_RAW.CAST_TO_RAW(C), 1, 8000), 'UTF8');
      UPDATE KFM.ERRORS
         SET ERRORDESCRIPTION_EN = C
       WHERE ERRORCODE = REC.ERRORCODE;
      DBMS_OUTPUT.PUT_LINE('Строка в колонке ERRORS.ERRORDESCRIPTION_EN в кодировке UTF-8 для ERRORS.ERRORCODE = ' || REC.ERRORCODE || ' обрезана до длины 4000 байтов');
      DBMS_OUTPUT.PUT_LINE('Изначальная строка:');
      DBMS_OUTPUT.PUT_LINE(REC.ERRORDESCRIPTION);
      DBMS_OUTPUT.PUT_LINE('');
    END IF;
  END LOOP;
  COMMIT;

  FOR REC IN C_IMP_MEMBERS LOOP
    C := CONVERT(REC.MEMBER_FOREIGN_ADD, 'AL32UTF8');
    IF (LENGTHB(C) > 4000) THEN
      C := UTL_I18N.RAW_TO_CHAR(SUBSTR(UTL_RAW.CAST_TO_RAW(C), 1, 8000), 'UTF8');
      UPDATE KFM.IMP_MEMBERS
         SET MEMBER_FOREIGN_ADD = C
       WHERE LOG_ID = REC.LOG_ID AND MEMBER_ID = REC.MEMBER_ID;
      DBMS_OUTPUT.PUT_LINE('Строка в колонке IMP_MEMBERS.MEMBER_FOREIGN_ADD в кодировке UTF-8 для IMP_MEMBERS.LOG_ID = ' || REC.LOG_ID || ' и IMP_MEMBERS.MEMBER_ID = ' || REC.MEMBER_ID || ' обрезана до длины 4000 байтов');
      DBMS_OUTPUT.PUT_LINE('Изначальная строка:');
      DBMS_OUTPUT.PUT_LINE(REC.MEMBER_FOREIGN_ADD);
      DBMS_OUTPUT.PUT_LINE('');
    END IF;
    C := CONVERT(REC.MEMBER_COMMENTS, 'AL32UTF8');
    IF (LENGTHB(C) > 4000) THEN
      C := UTL_I18N.RAW_TO_CHAR(SUBSTR(UTL_RAW.CAST_TO_RAW(C), 1, 8000), 'UTF8');
      UPDATE KFM.IMP_MEMBERS
         SET MEMBER_COMMENTS = C
       WHERE LOG_ID = REC.LOG_ID AND MEMBER_ID = REC.MEMBER_ID;
      DBMS_OUTPUT.PUT_LINE('Строка в колонке IMP_MEMBERS.MEMBER_COMMENTS в кодировке UTF-8 для IMP_MEMBERS.LOG_ID = ' || REC.LOG_ID || ' и IMP_MEMBERS.MEMBER_ID = ' || REC.MEMBER_ID || ' обрезана до длины 4000 байтов');
      DBMS_OUTPUT.PUT_LINE('Изначальная строка:');
      DBMS_OUTPUT.PUT_LINE(REC.MEMBER_COMMENTS);
      DBMS_OUTPUT.PUT_LINE('');
    END IF;
    C := CONVERT(REC.MEMBER_BANK_ADDRESS, 'AL32UTF8');
    IF (LENGTHB(C) > 4000) THEN
      C := UTL_I18N.RAW_TO_CHAR(SUBSTR(UTL_RAW.CAST_TO_RAW(C), 1, 8000), 'UTF8');
      UPDATE KFM.IMP_MEMBERS
         SET MEMBER_BANK_ADDRESS = C
       WHERE LOG_ID = REC.LOG_ID AND MEMBER_ID = REC.MEMBER_ID;
      DBMS_OUTPUT.PUT_LINE('Строка в колонке IMP_MEMBERS.MEMBER_BANK_ADDRESS в кодировке UTF-8 для IMP_MEMBERS.LOG_ID = ' || REC.LOG_ID || ' и IMP_MEMBERS.MEMBER_ID = ' || REC.MEMBER_ID || ' обрезана до длины 4000 байтов');
      DBMS_OUTPUT.PUT_LINE('Изначальная строка:');
      DBMS_OUTPUT.PUT_LINE(REC.MEMBER_BANK_ADDRESS);
      DBMS_OUTPUT.PUT_LINE('');
    END IF;
    C := CONVERT(REC.MEMBER_UR_NAME, 'AL32UTF8');
    IF (LENGTHB(C) > 4000) THEN
      C := UTL_I18N.RAW_TO_CHAR(SUBSTR(UTL_RAW.CAST_TO_RAW(C), 1, 8000), 'UTF8');
      UPDATE KFM.IMP_MEMBERS
         SET MEMBER_UR_NAME = C
       WHERE LOG_ID = REC.LOG_ID AND MEMBER_ID = REC.MEMBER_ID;
      DBMS_OUTPUT.PUT_LINE('Строка в колонке IMP_MEMBERS.MEMBER_UR_NAME в кодировке UTF-8 для IMP_MEMBERS.LOG_ID = ' || REC.LOG_ID || ' и IMP_MEMBERS.MEMBER_ID = ' || REC.MEMBER_ID || ' обрезана до длины 4000 байтов');
      DBMS_OUTPUT.PUT_LINE('Изначальная строка:');
      DBMS_OUTPUT.PUT_LINE(REC.MEMBER_UR_NAME);
      DBMS_OUTPUT.PUT_LINE('');
    END IF;
    C := CONVERT(REC.MEMBER_AC_BIRTH_PLACE, 'AL32UTF8');
    IF (LENGTHB(C) > 4000) THEN
      C := UTL_I18N.RAW_TO_CHAR(SUBSTR(UTL_RAW.CAST_TO_RAW(C), 1, 8000), 'UTF8');
      UPDATE KFM.IMP_MEMBERS
         SET MEMBER_AC_BIRTH_PLACE = C
       WHERE LOG_ID = REC.LOG_ID AND MEMBER_ID = REC.MEMBER_ID;
      DBMS_OUTPUT.PUT_LINE('Строка в колонке IMP_MEMBERS.MEMBER_AC_BIRTH_PLACE в кодировке UTF-8 для IMP_MEMBERS.LOG_ID = ' || REC.LOG_ID || ' и IMP_MEMBERS.MEMBER_ID = ' || REC.MEMBER_ID || ' обрезана до длины 4000 байтов');
      DBMS_OUTPUT.PUT_LINE('Изначальная строка:');
      DBMS_OUTPUT.PUT_LINE(REC.MEMBER_AC_BIRTH_PLACE);
      DBMS_OUTPUT.PUT_LINE('');
    END IF;
  END LOOP;
  COMMIT;

  FOR REC IN C_IMP_MESSINFO LOOP
    C := CONVERT(REC.OPER_DIFFICULTIES, 'AL32UTF8');
    IF (LENGTHB(C) > 4000) THEN
      C := UTL_I18N.RAW_TO_CHAR(SUBSTR(UTL_RAW.CAST_TO_RAW(C), 1, 8000), 'UTF8');
      UPDATE KFM.IMP_MESSINFO
         SET OPER_DIFFICULTIES = C
       WHERE LOG_ID = REC.LOG_ID;
      DBMS_OUTPUT.PUT_LINE('Строка в колонке IMP_MESSINFO.OPER_DIFFICULTIES в кодировке UTF-8 для IMP_MESSINFO.LOG_ID = ' || REC.LOG_ID || ' обрезана до длины 4000 байтов');
      DBMS_OUTPUT.PUT_LINE('Изначальная строка:');
      DBMS_OUTPUT.PUT_LINE(REC.OPER_DIFFICULTIES);
      DBMS_OUTPUT.PUT_LINE('');
    END IF;
    C := CONVERT(REC.OPER_DOPINFO, 'AL32UTF8');
    IF (LENGTHB(C) > 4000) THEN
      C := UTL_I18N.RAW_TO_CHAR(SUBSTR(UTL_RAW.CAST_TO_RAW(C), 1, 8000), 'UTF8');
      UPDATE KFM.IMP_MESSINFO
         SET OPER_DOPINFO = C
       WHERE LOG_ID = REC.LOG_ID;
      DBMS_OUTPUT.PUT_LINE('Строка в колонке IMP_MESSINFO.OPER_DOPINFO в кодировке UTF-8 для IMP_MESSINFO.LOG_ID = ' || REC.LOG_ID || ' обрезана до длины 4000 байтов');
      DBMS_OUTPUT.PUT_LINE('Изначальная строка:');
      DBMS_OUTPUT.PUT_LINE(REC.OPER_DOPINFO);
      DBMS_OUTPUT.PUT_LINE('');
    END IF;
  END LOOP;
  COMMIT;

  FOR REC IN C_MESS_CFM_ANNOUNCE_OPER LOOP
    C := CONVERT(REC.OPER_DIFFICULTIES, 'AL32UTF8');
    IF (LENGTHB(C) > 4000) THEN
      C := UTL_I18N.RAW_TO_CHAR(SUBSTR(UTL_RAW.CAST_TO_RAW(C), 1, 8000), 'UTF8');
      UPDATE KFM.MESS_CFM_ANNOUNCE_OPER
         SET OPER_DIFFICULTIES = C
       WHERE MESS_CFM_ID = REC.MESS_CFM_ID;
      DBMS_OUTPUT.PUT_LINE('Строка в колонке MESS_CFM_ANNOUNCE_OPER.OPER_DIFFICULTIES в кодировке UTF-8 для MESS_CFM_ANNOUNCE_OPER.MESS_CFM_ID = ' || REC.MESS_CFM_ID || ' обрезана до длины 4000 байтов');
      DBMS_OUTPUT.PUT_LINE('Изначальная строка:');
      DBMS_OUTPUT.PUT_LINE(REC.OPER_DIFFICULTIES);
      DBMS_OUTPUT.PUT_LINE('');
    END IF;
    C := CONVERT(REC.OPER_DOPINFO, 'AL32UTF8');
    IF (LENGTHB(C) > 4000) THEN
      C := UTL_I18N.RAW_TO_CHAR(SUBSTR(UTL_RAW.CAST_TO_RAW(C), 1, 8000), 'UTF8');
      UPDATE KFM.MESS_CFM_ANNOUNCE_OPER
         SET OPER_DOPINFO = C
       WHERE MESS_CFM_ID = REC.MESS_CFM_ID;
      DBMS_OUTPUT.PUT_LINE('Строка в колонке MESS_CFM_ANNOUNCE_OPER.OPER_DOPINFO в кодировке UTF-8 для MESS_CFM_ANNOUNCE_OPER.MESS_CFM_ID = ' || REC.MESS_CFM_ID || ' обрезана до длины 4000 байтов');
      DBMS_OUTPUT.PUT_LINE('Изначальная строка:');
      DBMS_OUTPUT.PUT_LINE(REC.OPER_DOPINFO);
      DBMS_OUTPUT.PUT_LINE('');
    END IF;
  END LOOP;
  COMMIT;

  FOR REC IN C_MESS_CFM_ANNOUNCE_MEMB LOOP
    C := CONVERT(REC.MEMBER_FOREIGN_ADD, 'AL32UTF8');
    IF (LENGTHB(C) > 4000) THEN
      C := UTL_I18N.RAW_TO_CHAR(SUBSTR(UTL_RAW.CAST_TO_RAW(C), 1, 8000), 'UTF8');
      UPDATE KFM.MESS_CFM_ANNOUNCE_MEMB
         SET MEMBER_FOREIGN_ADD = C
       WHERE MESS_CFM_ID = REC.MESS_CFM_ID AND MEMBER_ID = REC.MEMBER_ID;
      DBMS_OUTPUT.PUT_LINE('Строка в колонке MESS_CFM_ANNOUNCE_MEMB.MEMBER_FOREIGN_ADD в кодировке UTF-8 для MESS_CFM_ANNOUNCE_MEMB.MESS_CFM_ID = ' || REC.MESS_CFM_ID || ' и MESS_CFM_ANNOUNCE_MEMB.MEMBER_ID = ' || REC.MEMBER_ID || ' обрезана до длины 4000 байтов');
      DBMS_OUTPUT.PUT_LINE('Изначальная строка:');
      DBMS_OUTPUT.PUT_LINE(REC.MEMBER_FOREIGN_ADD);
      DBMS_OUTPUT.PUT_LINE('');
    END IF;
    C := CONVERT(REC.MEMBER_COMMENTS, 'AL32UTF8');
    IF (LENGTHB(C) > 4000) THEN
      C := UTL_I18N.RAW_TO_CHAR(SUBSTR(UTL_RAW.CAST_TO_RAW(C), 1, 8000), 'UTF8');
      UPDATE KFM.MESS_CFM_ANNOUNCE_MEMB
         SET MEMBER_COMMENTS = C
       WHERE MESS_CFM_ID = REC.MESS_CFM_ID AND MEMBER_ID = REC.MEMBER_ID;
      DBMS_OUTPUT.PUT_LINE('Строка в колонке MESS_CFM_ANNOUNCE_MEMB.MEMBER_COMMENTS в кодировке UTF-8 для MESS_CFM_ANNOUNCE_MEMB.MESS_CFM_ID = ' || REC.MESS_CFM_ID || ' и MESS_CFM_ANNOUNCE_MEMB.MEMBER_ID = ' || REC.MEMBER_ID || ' обрезана до длины 4000 байтов');
      DBMS_OUTPUT.PUT_LINE('Изначальная строка:');
      DBMS_OUTPUT.PUT_LINE(REC.MEMBER_COMMENTS);
      DBMS_OUTPUT.PUT_LINE('');
    END IF;
    C := CONVERT(REC.MEMBER_BANK_ADDRESS, 'AL32UTF8');
    IF (LENGTHB(C) > 4000) THEN
      C := UTL_I18N.RAW_TO_CHAR(SUBSTR(UTL_RAW.CAST_TO_RAW(C), 1, 8000), 'UTF8');
      UPDATE KFM.MESS_CFM_ANNOUNCE_MEMB
         SET MEMBER_BANK_ADDRESS = C
       WHERE MESS_CFM_ID = REC.MESS_CFM_ID AND MEMBER_ID = REC.MEMBER_ID;
      DBMS_OUTPUT.PUT_LINE('Строка в колонке MESS_CFM_ANNOUNCE_MEMB.MEMBER_BANK_ADDRESS в кодировке UTF-8 для MESS_CFM_ANNOUNCE_MEMB.MESS_CFM_ID = ' || REC.MESS_CFM_ID || ' и MESS_CFM_ANNOUNCE_MEMB.MEMBER_ID = ' || REC.MEMBER_ID || ' обрезана до длины 4000 байтов');
      DBMS_OUTPUT.PUT_LINE('Изначальная строка:');
      DBMS_OUTPUT.PUT_LINE(REC.MEMBER_BANK_ADDRESS);
      DBMS_OUTPUT.PUT_LINE('');
    END IF;
    C := CONVERT(REC.MEMBER_UR_NAME, 'AL32UTF8');
    IF (LENGTHB(C) > 4000) THEN
      C := UTL_I18N.RAW_TO_CHAR(SUBSTR(UTL_RAW.CAST_TO_RAW(C), 1, 8000), 'UTF8');
      UPDATE KFM.MESS_CFM_ANNOUNCE_MEMB
         SET MEMBER_UR_NAME = C
       WHERE MESS_CFM_ID = REC.MESS_CFM_ID AND MEMBER_ID = REC.MEMBER_ID;
      DBMS_OUTPUT.PUT_LINE('Строка в колонке MESS_CFM_ANNOUNCE_MEMB.MEMBER_UR_NAME в кодировке UTF-8 для MESS_CFM_ANNOUNCE_MEMB.MESS_CFM_ID = ' || REC.MESS_CFM_ID || ' и MESS_CFM_ANNOUNCE_MEMB.MEMBER_ID = ' || REC.MEMBER_ID || ' обрезана до длины 4000 байтов');
      DBMS_OUTPUT.PUT_LINE('Изначальная строка:');
      DBMS_OUTPUT.PUT_LINE(REC.MEMBER_UR_NAME);
      DBMS_OUTPUT.PUT_LINE('');
    END IF;
    C := CONVERT(REC.MEMBER_AC_BIRTH_PLACE, 'AL32UTF8');
    IF (LENGTHB(C) > 4000) THEN
      C := UTL_I18N.RAW_TO_CHAR(SUBSTR(UTL_RAW.CAST_TO_RAW(C), 1, 8000), 'UTF8');
      UPDATE KFM.MESS_CFM_ANNOUNCE_MEMB
         SET MEMBER_AC_BIRTH_PLACE = C
       WHERE MESS_CFM_ID = REC.MESS_CFM_ID AND MEMBER_ID = REC.MEMBER_ID;
      DBMS_OUTPUT.PUT_LINE('Строка в колонке MESS_CFM_ANNOUNCE_MEMB.MEMBER_AC_BIRTH_PLACE в кодировке UTF-8 для MESS_CFM_ANNOUNCE_MEMB.MESS_CFM_ID = ' || REC.MESS_CFM_ID || ' и MESS_CFM_ANNOUNCE_MEMB.MEMBER_ID = ' || REC.MEMBER_ID || ' обрезана до длины 4000 байтов');
      DBMS_OUTPUT.PUT_LINE('Изначальная строка:');
      DBMS_OUTPUT.PUT_LINE(REC.MEMBER_AC_BIRTH_PLACE);
      DBMS_OUTPUT.PUT_LINE('');
    END IF;
  END LOOP;
  COMMIT;

  FOR REC IN C_MESS_CFM_EXEC LOOP
    C := CONVERT(REC.CFM_NAME, 'AL32UTF8');
    IF (LENGTHB(C) > 4000) THEN
      C := UTL_I18N.RAW_TO_CHAR(SUBSTR(UTL_RAW.CAST_TO_RAW(C), 1, 6000), 'UTF8');
      UPDATE KFM.MESS_CFM_EXEC
         SET CFM_NAME = C
       WHERE MESS_CFM_ID = REC.MESS_CFM_ID;
      DBMS_OUTPUT.PUT_LINE('Строка в колонке MESS_CFM_EXEC.CFM_NAME в кодировке UTF-8 для MESS_CFM_EXEC.MESS_CFM_ID = ' || REC.MESS_CFM_ID || ' обрезана до длины 4000 байтов');
      DBMS_OUTPUT.PUT_LINE('Изначальная строка:');
      DBMS_OUTPUT.PUT_LINE(REC.CFM_NAME);
      DBMS_OUTPUT.PUT_LINE('');
    END IF;
  END LOOP;
  COMMIT;
END;
/
ALTER TABLE KFM.COUNTRYCODES MODIFY (
	"NAME" VARCHAR2 (100 CHAR),
	"FULLNAME" VARCHAR2 (300 CHAR),
	"ALPHA2" CHAR (2 CHAR),
	"ALPHA3" CHAR (3 CHAR)
);

ALTER TABLE KFM.ERRORS MODIFY (
	"ERRORNAME" VARCHAR2(100 char),
	"ERRORDESCRIPTION" VARCHAR2(4000 CHAR),
	"ERRORNAME_EN" VARCHAR2(100 char),
	"ERRORDESCRIPTION_EN" VARCHAR2(4000 CHAR)
);

ALTER TABLE KFM.IMP_MEMBERS MODIFY (
	"MEMBER_FOREIGN_ADD" VARCHAR2(4000 char),
	"MEMBER_BANK_CODE" VARCHAR2(50 char),
	"MEMBER_BANK_NAME" VARCHAR2(300 char),
	"MEMBER_BANK_ACCOUNT" VARCHAR2(300 char),
	"MEMBER_BANK_ADDRESS" VARCHAR2(1000 char),
	"MEMBER_TAXCODE" VARCHAR2(12 char),
	"MEMBER_OKPO" VARCHAR2(12 char),
	"MEMBER_OKED" VARCHAR2(5 char),
	"MEMBER_MAINCODE" VARCHAR2(12 char),
	"MEMBER_EMAIL" VARCHAR2(300 char),
	"MEMBER_REG_AREA" VARCHAR2(300 char),
	"MEMBER_REG_REGION" VARCHAR2(300 char),
	"MEMBER_REG_SITY" VARCHAR2(300 char),
	"MEMBER_REG_STREET" VARCHAR2(300 char),
	"MEMBER_REG_HOUSE" VARCHAR2(300 char),
	"MEMBER_REG_OFFICE" VARCHAR2(300 char),
	"MEMBER_SEAT_AREA" VARCHAR2(300 char),
	"MEMBER_SEAT_REGION" VARCHAR2(300 char),
	"MEMBER_SEAT_SITY" VARCHAR2(300 char),
	"MEMBER_SEAT_STREET" VARCHAR2(300 char),
	"MEMBER_SEAT_HOUSE" VARCHAR2(300 char),
	"MEMBER_SEAT_OFFICE" VARCHAR2(300 char),
	"MEMBER_COMMENTS" VARCHAR2(4000 char),
	"MEMBER_UR_NAME" VARCHAR2(1000 char),
	"MEMBER_UR_FISTHEAD_NAME" VARCHAR2(300 char),
	"MEMBER_AC_SECONDNAME" VARCHAR2(300 char),
	"MEMBER_AC_FIRSTNAME" VARCHAR2(300 char),
	"MEMBER_AC_MIDDLENAME" VARCHAR2(300 char),
	"MEMBER_AC_DOC_NUMBER" VARCHAR2(50 char),
	"MEMBER_AC_DOC_SERIES" VARCHAR2(300 char),
	"MEMBER_AC_DOC_WHOM" VARCHAR2(300 char),
	"MEMBER_AC_BIRTH_PLACE" VARCHAR2(1000 char),
	"MEMBER_UR_FISTHEAD_SECONDNAME" VARCHAR2(300 char),
	"MEMBER_UR_FISTHEAD_FIRSTNAME" VARCHAR2(300 char),
	"MEMBER_UR_FISTHEAD_MIDDLENAME" VARCHAR2(300 char),
	"MEMBER_BANK_CITY" VARCHAR2(300 char)
);

ALTER TABLE KFM.IMP_MESSINFO MODIFY (
	"OPER_NUMBER" VARCHAR2(300 char),
	"OPER_REASON" VARCHAR2(300 char),
	"OPER_DOC_NUMBER" VARCHAR2(300 char),
	"OPER_DIFFICULTIES" VARCHAR2(4000 char),
	"OPER_DOPINFO" VARCHAR2(4000 char),
	"OPER_MERCH_REGINFO" VARCHAR2(50 char)
);

ALTER TABLE KFM.MESS_CFM_ANNOUNCE_MEMB MODIFY (
	"MEMBER_FOREIGN_ADD" VARCHAR2(4000 char),
	"MEMBER_BANK_CODE" VARCHAR2(50 char),
	"MEMBER_BANK_NAME" VARCHAR2(300 char),
	"MEMBER_BANK_ACCOUNT" VARCHAR2(300 char),
	"MEMBER_BANK_ADDRESS" VARCHAR2(1000 char),
	"MEMBER_TAXCODE" VARCHAR2(12 char),
	"MEMBER_OKPO" VARCHAR2(12 char),
	"MEMBER_OKED" VARCHAR2(5 char),
	"MEMBER_MAINCODE" VARCHAR2(12 char),
	"MEMBER_EMAIL" VARCHAR2(300 char),
	"MEMBER_REG_AREA" VARCHAR2(300 char),
	"MEMBER_REG_REGION" VARCHAR2(300 char),
	"MEMBER_REG_SITY" VARCHAR2(300 char),
	"MEMBER_REG_STREET" VARCHAR2(300 char),
	"MEMBER_REG_HOUSE" VARCHAR2(300 char),
	"MEMBER_REG_OFFICE" VARCHAR2(300 char),
	"MEMBER_SEAT_AREA" VARCHAR2(300 char),
	"MEMBER_SEAT_REGION" VARCHAR2(300 char),
	"MEMBER_SEAT_SITY" VARCHAR2(300 char),
	"MEMBER_SEAT_STREET" VARCHAR2(300 char),
	"MEMBER_SEAT_HOUSE" VARCHAR2(300 char),
	"MEMBER_SEAT_OFFICE" VARCHAR2(300 char),
	"MEMBER_COMMENTS" VARCHAR2(4000 char),
	"MEMBER_UR_NAME" VARCHAR2(1000 char),
	"MEMBER_UR_FISTHEAD_NAME" VARCHAR2(300 char),
	"MEMBER_AC_SECONDNAME" VARCHAR2(300 char),
	"MEMBER_AC_FIRSTNAME" VARCHAR2(300 char),
	"MEMBER_AC_MIDDLENAME" VARCHAR2(300 char),
	"MEMBER_AC_DOC_NUMBER" VARCHAR2(50 char),
	"MEMBER_AC_DOC_SERIES" VARCHAR2(300 char),
	"MEMBER_AC_DOC_WHOM" VARCHAR2(300 char),
	"MEMBER_AC_BIRTH_PLACE" VARCHAR2(1000 char),
	"MEMBER_UR_FISTHEAD_SECONDNAME" VARCHAR2(300 char),
	"MEMBER_UR_FISTHEAD_FIRSTNAME" VARCHAR2(300 char),
	"MEMBER_UR_FISTHEAD_MIDDLENAME" VARCHAR2(300 char),
	"MEMBER_BANK_CITY" VARCHAR2(300 char)
);

ALTER TABLE KFM.MESS_CFM_ANNOUNCE_OPER MODIFY (
	"OPER_NUMBER" VARCHAR2(300 char),
	"OPER_REASON" VARCHAR2(300 char),
	"OPER_DOC_NUMBER" VARCHAR2(300 char),
	"OPER_DIFFICULTIES" VARCHAR2(4000 char),
	"OPER_DOPINFO" VARCHAR2(4000 char),
	"OPER_MERCH_REGINFO" VARCHAR2(50 char)
);

ALTER TABLE KFM.MESS_CFM_EXEC MODIFY (
	"OPER_NUMBER" VARCHAR2(300 char),
	"OPER_DOC_NAME" VARCHAR2(300 char),
	"OPER_DOC_NUMBER" VARCHAR2(300 char),
	"UPDATE_VERSION" VARCHAR2(300 char),
	"STATUSNAME" VARCHAR2(1000 char),
	"CFM_NAME" VARCHAR2(3000 char)
);

ALTER TABLE KFM.MESS_CFM_REFER MODIFY (
	"REFER_DOC_NUM" VARCHAR2(50 char),
	"REFER_DOC_OPER" VARCHAR2(50 char)
);

DROP USER SDFO;

SPOOL OFF

exit

